/*!
 * @file        main.h
 *
 * @brief       Header for main.c module
 *
 * @version     V1.0.0
 *
 * @date        2024-07-31
 *
 * @attention
 *
 *  Copyright (C) 2024 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be useful and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

/* Define to prevent recursive inclusion */
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes */
#include "apm32e030.h"
#include  <math.h>
#include  <stdarg.h>
#include  <stdio.h>
#include  <stdlib.h>

#include "cmsis_os2.h"


/** @addtogroup Examples
  @{
*/

/** @addtogroup RTX
  @{
*/

/** @defgroup RTX_Macros Macros
  @{
  */

/**@} end of group RTX_Macros */

/** @defgroup RTX_Enumerations Enumerations
  @{
  */

/**@} end of group RTX_Enumerations */

/** @defgroup RTX_Structures Structures
  @{
  */

/**@} end of group RTX_Structures */

/** @defgroup RTX_Variables Variables
  @{
  */

/**@} end of group RTX_Variables */

/** @defgroup RTX_Functions Functions
  @{
  */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */

/**@} end of group RTX_Functions */
/**@} end of group RTX */
/**@} end of group Examples */
