/*!
 * @file        main.h
 *
 * @brief       Header for main.c module
 *
 * @version     V1.0.0
 *
 * @date        2024-07-31
 *
 * @attention
 *
 *  Copyright (C) 2024 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be useful and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

/* Define to prevent recursive inclusion */
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/** @addtogroup Examples
  @{
*/

/** @addtogroup TMR_PWMOutput
  @{
*/

/** @defgroup TMR_PWMOutput_Macros Macros
  @{
*/

/**@} end of group TMR_PWMOutput_Macros */

/** @defgroup TMR_PWMOutput_Enumerations Enumerations
  @{
*/

/**@} end of group TMR_PWMOutput_Enumerations */

/** @defgroup TMR_PWMOutput_Structures Structures
  @{
*/

/**@} end of group TMR_PWMOutput_Structures */

/** @defgroup TMR_PWMOutput_Variables Variables
  @{
*/

/**@} end of group TMR_PWMOutput_Variables */

/** @defgroup TMR_PWMOutput_Functions Functions
  @{
*/

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */

/**@} end of group TMR_PWMOutput_Functions */
/**@} end of group TMR_PWMOutput */
/**@} end of group Examples */
